File: configure

package info (click to toggle)
armadillo 1:9.200.7+dfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 7,500 kB
  • sloc: cpp: 137,626; makefile: 75; sh: 34
file content (23 lines) | stat: -rwxr-xr-x 428 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
#!/bin/sh

ABORT=no

check_cmake()
  {
  (cmake --version) </dev/null >/dev/null 2>&1 ||
    {
    echo "error: cmake (version 2.8 or later) must be present to configure and install Armadillo"
    echo ""
    echo "cmake might be available as a package for your system,"
    echo "or can be downloaded from http://cmake.org"
    ABORT=yes
    }
  }

check_cmake

test "$ABORT" = yes && exit -1

rm -f CMakeCache.txt
cmake $@ .